# Mastodon Welcome Bot

Tento projekt je jednoduchý bot pro Mastodon, který automaticky vítá nové uživatele na instanci Mastodon.

## Požadavky

- Python 3
- Mastodon.py
- python-dotenv

## Instalace

1. Naklonuj tento repozitář:
   ```bash
   git clone https://tvoje-gitea-instance.com/tvuj-uzivatel/jmeno-repozitare.git
   cd jmeno-repozitare
```
2. Nainstaluj požadované balíčky:

```bash
pip install -r requirements.txt
```

Vytvoř soubor `.env` a přidej své proměnné prostředí:

```bash
MASTODON_ACCESS_TOKEN=tvuj_pristupovy_token
MASTODON_API_BASE_URL=tva_mastodon_instancni_url
```

Spusť skript:

```bash
python3 welcome_bot.py
```


